var xml2js = require("xml2js");


/**
 * 
 * @param str 需要解析的xml文本
 * @returns 解析好的对象
 */
export function analysisXml(str) {
    return new Promise( (resolve, reject) => {
        xml2js.parseString(str, (err, result) => {
            if (err) return reject(err);
            return resolve(result);
        });
    });
   
}